<?
//if($ku['level']<20)header("Location: /myfarm");
if(!empty($conf['battle_arena']) AND mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_arena_batle` WHERE `id` = '$conf[battle_arena]' AND `status`='1'"),0)!=0 AND !isset($_GET['list']))header("Location: /arena/list");
if(isset($_GET['exit'])){
if(!empty($conf['battle_result'])){
////Велосипед
$aren = mysql_fetch_array(mysql_query("SELECT `id_arena` FROM `kolhoz_arena_log` WHERE `id_user`='$ku[id]' ORDER by `time` DESC LIMIT 1"));
$uaren = mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_arena_batle` WHERE `id`='$aren[0]'"));
if($uaren['locked']==0){
mysql_query("UPDATE `kolhoz_arena_batle` SET  `locked`='1' WHERE `id`='$aren[0]' LIMIT 1");
}else{$delete=1;}
mysql_query("UPDATE `kolhoz_setting` SET `battle_exit_rate`='NULL',`battle_result`='NULL' WHERE `id_user`='$ku[id]' LIMIT 1");
if(isset($delete)){
mysql_query("DELETE FROM `kolhoz_arena_batle` WHERE `id`='$aren[0]'");
mysql_query("DELETE FROM `kolhoz_arena_log` WHERE `id_arena`='$aren[0]'");
}
header("Location: /myfarm/$aren[0]");exit;
}else{header("Location: /arena");}
}
if(!empty($conf['battle_result']) AND !isset($_GET['result']) AND !isset($_GET['no_rate']))header("Location: /arena/list/result");
/////////////////////Распределение талантов
//5 + [ваш уровень] + [количество достижений]/5 + [купленные способности]
//xp = 500+(($ku['level']-20)*20)+conf['arena_hp']*50;
$arena_dostig_talant = 5+$ku['level']+round($ku['dostig']/5);
if($arena_dostig_talant!==$conf['arena_dostig_talant']){
$razn=$arena_dostig_talant-$conf['arena_dostig_talant'];
mysql_query("UPDATE `kolhoz_setting` SET `arena_talant` = '".($conf['arena_talant']+$razn)."',`arena_activ_talant`='".($conf['arena_activ_talant']+$razn)."',`arena_dostig_talant`='$arena_dostig_talant' WHERE `id_user` = '$ku[id]'");
}
////////////////////
if(isset($_GET['abilities']))include_once 'inc/abilities.php';
if(isset($_GET['list']))include_once 'inc/arena_list.php';
if(isset($_GET['bitva']))include_once 'inc/bitva.php';
if(isset($mc)){
$sharkms=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '5'"));

if(isset($_GET['shark']))
{
$smelhel=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '5' AND `gaz` >= '200'"));
$arendsmel=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_ahlist` WHERE `id_user` = '$ku[id]' AND `heli` = '5'"));
if($smelhel['id'] AND (!$arendsmel OR $arendsmel['time']<$time) AND $ku['time_shark']<$time)
{//Вызов акулы
$heli=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` != '0' AND `id` = '$smelhel[id]'"));
$type=7;$gaz=200;
$arend=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_collective_ahlist` WHERE `id_user` = '$ku[id]' AND `heli` = '5'"));
$count_tt=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_collective_heli` WHERE `id_collective` = '$mc[id]' AND `heli` = '5'"),0);
$tl=round($mc['users']/($type*$count_tt),2);
$t2=0;
if($tl2=explode('.',$tl))
{
if(!isset($tl2[1]))$tl2[1]='0';
if(strlen2($tl2[1])<2)$tl2[1]=$tl2[1]."0";
$t1=$tl2[0];
$tl2=$tl2[1];
$dil=100/60;
$t2=floor($tl2/$dil);
}
$nt=$time+($t1*3600)+($t2*60);
if(!$arend)mysql_query("INSERT INTO `kolhoz_collective_ahlist` SET `id_user` = '$ku[id]', `heli` = '5', `time` = '$nt'");
else mysql_query("UPDATE `kolhoz_collective_ahlist` SET `time` = '$nt' WHERE `id` = '$arend[id]'");

$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `time_shark` = '".($ku["time_shark"]>$time?"".($ku["time_shark"]+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");

mysql_query("UPDATE `kolhoz_collective_heli` SET `gaz` = '".($heli['gaz']-$gaz)."' WHERE `id` = '$heli[id]'");
header("Location: /arena");
}else header("Location: /arena");
}
}

require_header ('Арена');
echo'<div class="content">
<div class="block">';
if(isset($_GET['many_fruit'])){
echo'<div class="feedback">
<ul>
<li class="title">В Вашей тачке не достаточно овощей для битвы. Атакующих овощей должно быть не меньше <span>12</span> штук. Пополните тачку овощами из амбара.</li>
<li><img width="16" height="16" src="/images/icons/warehouse.png" alt="o"/> <a href="/warehouse">В амбар</a></li>
<li class="minor">Для входа требуются овощи высокого уровня.</li>
</ul>
</div>';
}
echo''.(isset($sharkms['id'])?'<img width="16" height="16" alt="o" src="/images/icons/heli5n.png"/>
'.($ku['time_shark']<$time?'<a href="/arena/shark">Вызвать</a>':'<span class="epic">Акула </span><span class="minor">'.(time_left($ku['time_shark']-$time)).' (сила овощей +10%)</span>').'':null).'


<div>
<img width="16" height="16" src="/images/icons/refresh.png" alt="*"/>
<a href="/arena/reflesh/'.(rand(1000000,9999999)).'">Обновить</a><span class="minor"></span>
</div>';

if($ku['level']>=20){
$count_batle=mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_arena_batle` WHERE `level`='$ku[level]' OR `level`='".($ku['level']-1)."' OR `level`='".($ku['level']+1)."' AND `status`='0'"),0);
echo'<div>
<img width="16" height="16" src="/images/icons/arrow.png" alt="*"/>
<a href="/arena/bitva">Начать бой</a>

(<span>'.$count_batle.'</span>)
</div>';
}
echo '<div>
<img width="16" height="16" src="/images/icons/tomato.png" alt="*"/> <a href="/arena/buy_plant">Купить овощи</a>
</div>

<div><img width="16" height="16" src="/images/icons/abilities.png" alt="*"/> <a href="/arena/abilities">Способности</a></div>
<div>
<img alt="*" width="16" height="16" src="/images/icons/rules.png"/> <a href="/arena'.(!isset($_GET['rules'])?'/rules':null).'">Правила</a>
</div>';
if($ku['level']>=20){
echo '<li class="pt"><span class="minor">Боевой опыт:</span> <img width="16" height="16" src="/images/icons/trophy.png" alt="*"/> '.$conf['arena_exp'].'<br/>
<span class="minor">Боевой рейтинг:</span> <img width="16" height="16" src="/images/icons/sword.png" alt="*"/> '.$ku['arena_rating'].'<br/>
<span class="minor">Мои способности:</span>
<span>
<img width="16" height="16" src="/images/icons/sword.png" alt="Мощн" title="Мощн"/>&nbsp;<span class="title">'.$conf['arena_sila'].'</span>&nbsp;
</span><span>
<img width="16" height="16" src="/images/icons/heart.png" alt="Жив" title="Жив"/>&nbsp;<span class="title">'.$conf['arena_hp'].'</span>&nbsp;
</span><span>
<img width="16" height="16" src="/images/icons/lightning.png" alt="Крит" title="Крит"/>&nbsp;<span class="title">'.$conf['arena_kr'].'</span>&nbsp;
</span><span>
<img width="16" height="16" src="/images/icons/shield.png" alt="Защита" title="Защита"/>&nbsp;<span class="title">'.$conf['arena_body'].'</span>&nbsp;
</span><span>
<img width="16" height="16" src="/images/icons/money.png" alt="Эконом" title="Эконом"/>&nbsp;<span class="title">'.$conf['arena_econom'].'</span>&nbsp;
</span>
</span></li>';}
if(isset($_GET['rules'])){
echo'<div>
<h3>Правила</h3>
<ul class="small">
<li>Участвовать на арене можно с <span>20</span>-го уровня.</li>
<li class="pt">Состязание проходит между двумя игроками.</li>
<li class="pt">У каждого игрока есть энергия, которая может повышаться или понижаться в зависимости от используемых овощей.</li>
<li class="pt">Для боя, случайным образом набирается 20 овощей из тачки</li>
<li class="pt">Каждый овощ обладает уникальными свойствами.</li>
<li class="pt">По окончании боя победитель получает неиспользованные овощи назад. При проигрыше или ничьей овощи не возвращаются.</li>
<li class="pt">Победа повышает рейтинг игрока и боевой опыт, а проигрыш - понижает.</li>
<li class="pt">Игроки имеющие рейтинг выше 1000 получают дополнительный опыт в игре.</li>
<li class="pt">Овощи используются автоматически, игрок только выбирает текущий активный овощ.</li>
</ul>
</div>';
}

?>